# ClusterProperties

Properties of a database cluster.

## Properties

| Name                    | Type                                                                          | Description                                                                                                                                                    | Notes                               |
| ----------------------- | ----------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------- |
| **displayName**         | **string**                                                                    | The friendly name of your cluster.                                                                                                                             | \[optional] \[default to undefined] |
| **postgresVersion**     | **string**                                                                    | The PostgreSQL version of your cluster.                                                                                                                        | \[optional] \[default to undefined] |
| **location**            | **string**                                                                    | The physical location where the cluster will be created. This will be where all of your instances live. Property cannot be modified after datacenter creation. | \[optional] \[default to undefined] |
| **dnsName**             | **string**                                                                    | The DNS name pointing to your cluster.                                                                                                                         | \[optional] \[default to undefined] |
| **backupLocation**      | **string**                                                                    | The S3 location where the backups will be stored.                                                                                                              | \[optional] \[default to undefined] |
| **instances**           | **number**                                                                    | The total number of instances in the cluster (one master and n-1 standbys).                                                                                    | \[optional] \[default to undefined] |
| **ram**                 | **number**                                                                    | The amount of memory per instance in megabytes. Has to be a multiple of 1024.                                                                                  | \[optional] \[default to undefined] |
| **cores**               | **number**                                                                    | The number of CPU cores per instance.                                                                                                                          | \[optional] \[default to undefined] |
| **storageSize**         | **number**                                                                    | The amount of storage per instance in megabytes.                                                                                                               | \[optional] \[default to undefined] |
| **storageType**         | [**StorageType**](/postgres-sdk-nodejs/models/storagetype.md)                 |                                                                                                                                                                | \[optional] \[default to undefined] |
| **connections**         | [**Array\<Connection>**](/postgres-sdk-nodejs/models/connection.md)           |                                                                                                                                                                | \[optional] \[default to undefined] |
| **maintenanceWindow**   | [**MaintenanceWindow**](/postgres-sdk-nodejs/models/maintenancewindow.md)     |                                                                                                                                                                | \[optional] \[default to undefined] |
| **synchronizationMode** | [**SynchronizationMode**](/postgres-sdk-nodejs/models/synchronizationmode.md) |                                                                                                                                                                | \[optional] \[default to undefined] |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/postgres-sdk-nodejs/models/clusterproperties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
